<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Attributes\Fillable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

#[Fillable([
    'user_id',
    'provider_key',
    'provider_customer_id',
])]
class ProviderCustomer extends Model
{
    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
